TestReport (Gradle API 7.6.3)

Package org.gradle.api.tasks.testing

## Class TestReport

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.tasks.testing.TestReport

- All Implemented Interfaces:
    `java.lang.Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `Configurable<Task>`

      @DisableCachingByDefault(because="Not made cacheable, yet")
      public class TestReport
      extends DefaultTask

  Generates an HTML test report from the results of one or more `Test` tasks.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestReport()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.gradle.internal.operations.BuildOperationExecutor` | `getBuildOperationExecutor()` |
    `java.io.File` | `getDestinationDir()` | Deprecated.
    `DirectoryProperty` | `getDestinationDirectory()` | Returns the directory to write the HTML report to.
    `protected ObjectFactory` | `getObjectFactory()` |
    `FileCollection` | `getTestResultDirs()` | Deprecated.
    `ConfigurableFileCollection` | `getTestResults()` | Returns the set of binary test results to include in the report.
    `void` | `reportOn​(java.lang.Object... results)` | Deprecated.
    `void` | `setDestinationDir​(java.io.File destinationDir)` | Deprecated.
    `void` | `setTestResultDirs​(java.lang.Iterable<java.io.File> testResultDirs)` | Deprecated.

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- - ### Constructor Detail

    - #### TestReport

          public TestReport()

  - ### Method Detail

    - #### getBuildOperationExecutor

          @Inject
          protected org.gradle.internal.operations.BuildOperationExecutor getBuildOperationExecutor()

    - #### getObjectFactory

          @Inject
          protected ObjectFactory getObjectFactory()

    - #### getDestinationDir

          @ReplacedBy("destinationDirectory")
          @Deprecated
          public java.io.File getDestinationDir()

      Deprecated.
      Returns the directory to write the HTML report to. This method is `@Deprecated`, please use `getDestinationDirectory()` instead.

    - #### setDestinationDir

          @Deprecated
          public void setDestinationDir​(java.io.File destinationDir)

      Deprecated.
      Sets the directory to write the HTML report to. This method is `@Deprecated`, please use `getTestResults()` instead to access the new collection property.

    - #### getDestinationDirectory

          @OutputDirectory
          public DirectoryProperty getDestinationDirectory()

      Returns the directory to write the HTML report to.
      Since:
        7.4

    - #### getTestResultDirs

          @ReplacedBy("testResults")
          @Deprecated
          public FileCollection getTestResultDirs()

      Deprecated.
      Returns the set of binary test results to include in the report. This method is `@Deprecated`, please use `getTestResults()` ()} instead.

    - #### getTestResults

          @InputFiles
          @SkipWhenEmpty
          @IgnoreEmptyDirectories
          @PathSensitive(NONE)
          public ConfigurableFileCollection getTestResults()

      Returns the set of binary test results to include in the report.
      Since:
        7.4

    - #### setTestResultDirs

          @Deprecated
          public void setTestResultDirs​(java.lang.Iterable<java.io.File> testResultDirs)

      Deprecated.
      Sets the binary test results to use to include in the report. Each entry must point to a binary test results directory generated by a `Test` task. This method is `@Deprecated`, please use `getTestResults()` instead to access the new collection property.

    - #### reportOn

          @Deprecated
          public void reportOn​(java.lang.Object... results)

      Deprecated.
      Adds some results to include in the report.

      This method accepts any parameter of the given types:

      - A `Test` task instance. The results from the test task are included in the report. The test task is automatically added as a dependency of this task.
      - Anything that can be converted to a set of `File` instances as per `Project.files(Object...)`. These must point to the binary test results directory generated by a `Test` task instance.
      - An `Iterable`. The contents of the iterable are converted recursively.
      This method is `@Deprecated` - use `getTestResults()` and invoke `ConfigurableFileCollection.from(Object...)` instead, passing references to `AbstractTestTask.getBinaryResultsDirectory()` as arguments.
      Parameters:
        `results` - The result objects.